# Visualization
TKService
Xw

# Xw_HListOfIndexs Class Reference

`#include <Xw_HListOfIndexs.hxx>`

## Public Member Functions

Standard_EXPORT | Xw_HListOfIndexs (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Xw_HListOfIndexs (const Standard_Integer Low, const Standard_Integer Up, const Standard_Integer &V)
Standard_EXPORT void | Init (const Standard_Integer &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_Integer &Value)
const Standard_Integer & | Value (const Standard_Integer Index) const
Standard_Integer & | ChangeValue (const Standard_Integer Index)
const Xw_ListOfIndexs & | Array1 () const
Xw_ListOfIndexs & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Xw_ListOfIndexs | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Xw_HListOfIndexs::Xw_HListOfIndexs | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Xw_HListOfIndexs::Xw_HListOfIndexs | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Integer & | V
| ) |

## Member Function Documentation

const Xw_ListOfIndexs& Xw_HListOfIndexs::Array1 | ( |  | ) | const

Xw_ListOfIndexs& Xw_HListOfIndexs::ChangeArray1 | ( |  | ) |

Standard_Integer& Xw_HListOfIndexs::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Xw_HListOfIndexs::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Xw_HListOfIndexs::Init | ( | const Standard_Integer & | V | ) |

Standard_Integer Xw_HListOfIndexs::Length | ( |  | ) | const

Standard_Integer Xw_HListOfIndexs::Lower | ( |  | ) | const

void Xw_HListOfIndexs::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | Value
| ) |

Standard_Integer Xw_HListOfIndexs::Upper | ( |  | ) | const

const Standard_Integer& Xw_HListOfIndexs::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Xw_ListOfIndexs Xw_HListOfIndexs::myArray `[private]`

The documentation for this class was generated from the following file:

- Xw_HListOfIndexs.hxx